Package org.apache.felix.webconsole

## Interface WebConsoleConstants

    @Deprecated
    public interface WebConsoleConstants

Deprecated.
Either register a servlet using Servlet API 5 or use `AbstractServlet`
WebConsoleConstants provides some common constants that are used by plugin developers.

### Field Summary

Fields
`static String` `ATTR_APP_ROOT` Deprecated. The name of the request attribute providing the absolute path of the Web Console root (value is "felix.webconsole.appRoot").
`static String` `ATTR_CONFIGURATION` Deprecated. The name of the request attribute holding the configuration params `Map` for the request (value is "felix.webconsole.configuration").
`static String` `ATTR_CONSOLE_VARIABLE_RESOLVER` Deprecated. Use `RequestVariableResolver.REQUEST_ATTRIBUTE` instead
`static String` `ATTR_LABEL_MAP` Deprecated. Plugins should never create a navigation themselves
`static String` `ATTR_LANG_MAP` Deprecated. Plugins should never create a navigation themselves
`static String` `ATTR_PLUGIN_ROOT` Deprecated. The name of the request attribute providing the absolute path of the current plugin (value is "felix.webconsole.pluginRoot").
`static String` `CONFIG_PRINTER_MODES` Deprecated. Use the Apache Felix Inventory API
`static String` `CONFIG_PRINTER_WEB_UNESCAPED` Deprecated. Use the Apache Felix Inventory API
`static String` `PLUGIN_CATEGORY` Deprecated. The category under which the OSGi Manager plugin is listed in the top navigation by the OSGi Manager (value is "felix.webconsole.category").
`static String` `PLUGIN_CSS_REFERENCES` Deprecated. The name of the service registration properties providing references to addition CSS files that should be loaded when rendering the header for a registered plugin.
`static String` `PLUGIN_LABEL` Deprecated. The URI address label under which the OSGi Manager plugin is called by the OSGi Manager (value is "felix.webconsole.label").
`static String` `PLUGIN_TITLE` Deprecated. The title under which the OSGi Manager plugin is called by the OSGi Manager (value is "felix.webconsole.title").
`static String` `SERVICE_NAME` Deprecated. The name of the service to register as to be used as a "plugin" for the OSGi Manager (value is "javax.servlet.Servlet").

### Field Detail

#### SERVICE_NAME

    static final String SERVICE_NAME

Deprecated.
The name of the service to register as to be used as a "plugin" for the OSGi Manager (value is "javax.servlet.Servlet").

See Also:
  Constant Field Values

#### PLUGIN_LABEL

    static final String PLUGIN_LABEL

Deprecated.
The URI address label under which the OSGi Manager plugin is called by the OSGi Manager (value is "felix.webconsole.label").

This service registration property must be set to a single non-empty String value. Otherwise the `Servlet` services will be ignored by the Felix Web Console and not be used as a plugin.

See Also:
  Constant Field Values

#### PLUGIN_TITLE

    static final String PLUGIN_TITLE

Deprecated.
The title under which the OSGi Manager plugin is called by the OSGi Manager (value is "felix.webconsole.title").

For `Servlet` services not extending the `AbstractWebConsolePlugin` this property is required for the service to be used as a plugin. Otherwise the service is just ignored by the Felix Web Console.

For `Servlet` services extending from the `AbstractWebConsolePlugin` abstract class this property is not technically required. To support lazy service access, e.g. for plugins implemented using the OSGi Service Factory pattern, the use of this service registration property is encouraged.

Since:
  2.0.0
See Also:
  Constant Field Values

#### PLUGIN_CATEGORY

    static final String PLUGIN_CATEGORY

Deprecated.
The category under which the OSGi Manager plugin is listed in the top navigation by the OSGi Manager (value is "felix.webconsole.category").

For `Servlet` services not extending the `AbstractWebConsolePlugin` this property is required to declare a specific category. Otherwise the plugin is put into the default category.

For `Servlet` services extending from the `AbstractWebConsolePlugin` abstract class this property is not technically required. To support lazy service access with categorization, e.g. for plugins implemented using the OSGi Service Factory pattern, the use of this service registration property is strongly encouraged. If the property is missing the `AbstractWebConsolePlugin.getCategory()` is called which should be overritten.

Since:
  3.1.3; Web Console Bundle 4.0.2
See Also:
  Constant Field Values

#### CONFIG_PRINTER_MODES

    @Deprecated
    static final String CONFIG_PRINTER_MODES

Deprecated.
Use the Apache Felix Inventory API
The property marking a service as a configuration printer. This can be any service having either a printConfiguration(PrintWriter) or printConfiguration(PrintWriter, String) method - this is according to the ConfigurationPrinter and ModeAwareConfigurationPrinter interfaces. If a service has a `PLUGIN_LABEL`, `PLUGIN_TITLE` and this property, it is treated as a configuration printer service.

Since:
  3.1.2; Web Console Bundle 3.1.4
See Also:
  Constant Field Values

#### CONFIG_PRINTER_WEB_UNESCAPED

    @Deprecated
    static final String CONFIG_PRINTER_WEB_UNESCAPED

Deprecated.
Use the Apache Felix Inventory API
Name of the optional service registration property indicating that a `ConfigurationPrinter` service will provide HTML output when used in `web` mode. If this property is set to `true` the configuration printer is expected to generate HTML output which will not be escaped. Otherwise output in web mode is escaped for plain text use.

Since:
  3.1.2; Web Console Bundle 3.1.4
See Also:
  Constant Field Values

#### PLUGIN_CSS_REFERENCES

    static final String PLUGIN_CSS_REFERENCES

Deprecated.
The name of the service registration properties providing references to addition CSS files that should be loaded when rendering the header for a registered plugin.

This property is expected to be a single string value, array of string values or a Collection (or Vector) of string values.

This service registration property is only used for plugins registered as `SERVICE_NAME` services which do not extend the `AbstractWebConsolePlugin`. Extensions of the `AbstractWebConsolePlugin` should overwrite the `AbstractWebConsolePlugin.getCssReferences()` method to provide additional CSS resources.

Since:
  2.0.0
See Also:
  Constant Field Values

#### ATTR_APP_ROOT

    static final String ATTR_APP_ROOT

Deprecated.
The name of the request attribute providing the absolute path of the Web Console root (value is "felix.webconsole.appRoot"). This consists of the servlet context path (from `HttpServletRequest.getContextPath()`) and the Web Console servlet path (from `HttpServletRequest.getServletPath()`, `/system/console` by default).

The type of this request attribute is `String`.

Since:
  2.0.0
See Also:
  Constant Field Values

#### ATTR_PLUGIN_ROOT

    static final String ATTR_PLUGIN_ROOT

Deprecated.
The name of the request attribute providing the absolute path of the current plugin (value is "felix.webconsole.pluginRoot"). This consists of the servlet context path (from `ServletRequest.getContextPath()`), the configured path of the web console root (`/system/console` by default) and the plugin label `PLUGIN_LABEL`.

The type of this request attribute is `String`.

Since:
  1.2.12
See Also:
  Constant Field Values

#### ATTR_LABEL_MAP

    @Deprecated
    static final String ATTR_LABEL_MAP

Deprecated.
Plugins should never create a navigation themselves
The name of the request attribute providing a mapping of labels to page titles of registered console plugins (value is "felix.webconsole.labelMap"). This map may be used to render a navigation of the console plugins as the `AbstractWebConsolePlugin.renderTopNavigation(javax.servlet.http.HttpServletRequest, java.io.PrintWriter)` method does.

The type of this request attribute is `Map<String, String>`.

Since:
  2.0.0
See Also:
  Constant Field Values

#### ATTR_CONSOLE_VARIABLE_RESOLVER

    @Deprecated
    static final String ATTR_CONSOLE_VARIABLE_RESOLVER

Deprecated.
Use `RequestVariableResolver.REQUEST_ATTRIBUTE` instead
The name of the request attribute holding the `VariableResolver` for the request (value is "felix.webconsole.variable.resolver").

Since:
  3.0
See Also:
  `VariableResolver`, `WebConsoleUtil.getVariableResolver(javax.servlet.ServletRequest)`, `WebConsoleUtil.setVariableResolver(javax.servlet.ServletRequest, VariableResolver)`, Constant Field Values

#### ATTR_LANG_MAP

    @Deprecated
    static final String ATTR_LANG_MAP

Deprecated.
Plugins should never create a navigation themselves
The name of the request attribute holding the language `Map` for the request (value is "felix.webconsole.langMap"). This map contains the web console supported languages, which are automatically detected. The keys of the map are the language codes, like "en", "en_US" .. and so-on. The value for each key is the locale user-friendly name - exactly the same as returned by `Locale.getDisplayLanguage()`. The automatic detection of languages is very simple. It relies on having a 'res/flags/[lang].gif' file in the bundle. So translators should not only provide localized l10n/bundle.properties but also a flag image. The image should be obtained from http://famfamfam.com/lab/icons/flags/ and eventually renamed to the correct locale.

Since:
  3.1.2
See Also:
  Constant Field Values

#### ATTR_CONFIGURATION

    static final String ATTR_CONFIGURATION

Deprecated.
The name of the request attribute holding the configuration params `Map` for the request (value is "felix.webconsole.configuration").

The type of this request attribute is `Map<String, Object>`.

This map contains the web console configuration params managed by the web console. It can be used to access to the configuration values while processing requests.

Since:
  3.5.0
See Also:
  Constant Field Values